## org.exist.cluster
Class StoreClusterEvent

    java.lang.Object
      org.exist.cluster.ClusterEvent
          org.exist.cluster.StoreClusterEvent

All Implemented Interfaces:
  java.io.Serializable

public class StoreClusterEvent
extends ClusterEvent

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina Date: Aug 30, 2004 Time: 3:45:03 PM Revision $Revision: 2435 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.exist.cluster.ClusterEvent
`NO_EVENT`

Constructor Summary
`StoreClusterEvent(java.lang.String content, java.lang.String collectionName, java.lang.String documentName)`

Method Summary
`void` `execute()` Execute the current command.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class org.exist.cluster.ClusterEvent
`equals, getCollection, getCollection, getCollectionName, getCounter, getDocumentName, getId, getResource, setCounter, setId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreClusterEvent

    public StoreClusterEvent(java.lang.String content,
                             java.lang.String collectionName,
                             java.lang.String documentName)

Method Detail

### execute

    public void execute()
                 throws ClusterException

  Execute the current command.

  Specified by:
    `execute` in class `ClusterEvent`
  Throws:
    `ClusterException`

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

Copyright (C) Wolfgang Meier. All rights reserved.